<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilitiesDelegate::test::CapabilitiesDelegateTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html">capabilitiesDelegate</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_capabilities_delegate_test.html">CapabilitiesDelegateTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_capabilities_delegate_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilitiesDelegate::test::CapabilitiesDelegateTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for alexaClientSDK::capabilitiesDelegate::test::CapabilitiesDelegateTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_capabilities_delegate_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_capabilities_delegate_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_capabilities_delegate_test_inherit__map" id="alexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_capabilities_delegate_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::capabilitiesDelegate::test::CapabilitiesDelegateTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_capabilities_delegate_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_capabilities_delegate_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_capabilities_delegate_test_coll__map" id="alexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_capabilities_delegate_test_coll__map">
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1_configuration_node.html" title="alexaClientSDK::avsCommon\l::utils::configuration\l::ConfigurationNode" alt="" coords="109,5,306,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac3d0c1568da82a8404a21479302e744d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_capabilities_delegate_test.html#ac3d0c1568da82a8404a21479302e744d">CapabilitiesDelegateTest</a> ()</td></tr>
<tr class="separator:ac3d0c1568da82a8404a21479302e744d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab07e875c12f8b19f75d172ec3056c131"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_capabilities_delegate_test.html#ab07e875c12f8b19f75d172ec3056c131">~CapabilitiesDelegateTest</a> ()</td></tr>
<tr class="separator:ab07e875c12f8b19f75d172ec3056c131"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4e2947aae6be109b3ed0e849dbe80b1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_capabilities_delegate_test.html#af4e2947aae6be109b3ed0e849dbe80b1">SetUp</a> () override</td></tr>
<tr class="separator:af4e2947aae6be109b3ed0e849dbe80b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ababf31e7783f0dc499976951c3c3bc4e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_capabilities_delegate_test.html#ababf31e7783f0dc499976951c3c3bc4e">TearDown</a> () override</td></tr>
<tr class="separator:ababf31e7783f0dc499976951c3c3bc4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf026fd6234d5dedf56a48d8116a378c"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_capabilities_delegate_test.html#aaf026fd6234d5dedf56a48d8116a378c">getCapabilityKey</a> (const std::unordered_map&lt; std::string, std::string &gt; &amp;capabilityMap)</td></tr>
<tr class="separator:aaf026fd6234d5dedf56a48d8116a378c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe9e658c504855839e651f08786cee10"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_capabilities_delegate_test.html#afe9e658c504855839e651f08786cee10">getCapabilityKey</a> (const std::string &amp;interfaceType, const std::string &amp;interfaceName)</td></tr>
<tr class="separator:afe9e658c504855839e651f08786cee10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5b8d0a42631863657e41a6b78eb3694"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_capabilities_delegate_test.html#aa5b8d0a42631863657e41a6b78eb3694">getCapabilitiesApiUrl</a> (const std::string &amp;deviceId)</td></tr>
<tr class="separator:aa5b8d0a42631863657e41a6b78eb3694"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ad690d6d6478725cbf9f72f14907e45"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_capabilities_delegate_test.html#a9ad690d6d6478725cbf9f72f14907e45">getPublishedEnvelopeVersion</a> (const std::string &amp;publishedMsgStr)</td></tr>
<tr class="separator:a9ad690d6d6478725cbf9f72f14907e45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab605a05ac544fd4f03630bbfcb5a9096"><td class="memItemLeft" align="right" valign="top">std::unordered_map&lt; std::string, std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">CapabilityConfiguration</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_capabilities_delegate_test.html#ab605a05ac544fd4f03630bbfcb5a9096">getPublishedConfigs</a> (const std::string &amp;publishedMsgStr)</td></tr>
<tr class="separator:ab605a05ac544fd4f03630bbfcb5a9096"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:afae7b02dc5d6244afed10a7a35c82f43"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_auth_delegate.html">TestAuthDelegate</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_capabilities_delegate_test.html#afae7b02dc5d6244afed10a7a35c82f43">m_authDelegate</a></td></tr>
<tr class="memdesc:afae7b02dc5d6244afed10a7a35c82f43"><td class="mdescLeft">&#160;</td><td class="mdescRight">Auth delegate instance.  <a href="#afae7b02dc5d6244afed10a7a35c82f43">More...</a><br /></td></tr>
<tr class="separator:afae7b02dc5d6244afed10a7a35c82f43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6ce5932118f6af3f1d9d309565e20b2"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html">TestMiscStorage</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_capabilities_delegate_test.html#ac6ce5932118f6af3f1d9d309565e20b2">m_miscStorage</a></td></tr>
<tr class="memdesc:ac6ce5932118f6af3f1d9d309565e20b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Misc storage instance.  <a href="#ac6ce5932118f6af3f1d9d309565e20b2">More...</a><br /></td></tr>
<tr class="separator:ac6ce5932118f6af3f1d9d309565e20b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2923376370863284ead7601aaad6f3ca"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html">TestHttpPut</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_capabilities_delegate_test.html#a2923376370863284ead7601aaad6f3ca">m_httpPut</a></td></tr>
<tr class="memdesc:a2923376370863284ead7601aaad6f3ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">HTTP put handler.  <a href="#a2923376370863284ead7601aaad6f3ca">More...</a><br /></td></tr>
<tr class="separator:a2923376370863284ead7601aaad6f3ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac88591c628d73c4acf15f0b9e6af4588"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_device_info.html">DeviceInfo</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_capabilities_delegate_test.html#ac88591c628d73c4acf15f0b9e6af4588">m_deviceInfo</a></td></tr>
<tr class="memdesc:ac88591c628d73c4acf15f0b9e6af4588"><td class="mdescLeft">&#160;</td><td class="mdescRight">Device Info instance.  <a href="#ac88591c628d73c4acf15f0b9e6af4588">More...</a><br /></td></tr>
<tr class="separator:ac88591c628d73c4acf15f0b9e6af4588"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af28f8c997d4a82ab5ec128580ea14cb1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1_configuration_node.html">ConfigurationNode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_capabilities_delegate_test.html#af28f8c997d4a82ab5ec128580ea14cb1">m_configRoot</a></td></tr>
<tr class="memdesc:af28f8c997d4a82ab5ec128580ea14cb1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Config instance.  <a href="#af28f8c997d4a82ab5ec128580ea14cb1">More...</a><br /></td></tr>
<tr class="separator:af28f8c997d4a82ab5ec128580ea14cb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c6bd3800c5f220b3fa0a6703da5afbc"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1_capabilities_delegate.html">CapabilitiesDelegate</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_capabilities_delegate_test.html#a2c6bd3800c5f220b3fa0a6703da5afbc">m_capabilitiesDelegate</a></td></tr>
<tr class="memdesc:a2c6bd3800c5f220b3fa0a6703da5afbc"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1_capabilities_delegate.html">CapabilitiesDelegate</a> instance.  <a href="#a2c6bd3800c5f220b3fa0a6703da5afbc">More...</a><br /></td></tr>
<tr class="separator:a2c6bd3800c5f220b3fa0a6703da5afbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32f5b19405f36c46bc8367b5cb606afd"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager.html">registrationManager::CustomerDataManager</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_capabilities_delegate_test.html#a32f5b19405f36c46bc8367b5cb606afd">m_dataManager</a></td></tr>
<tr class="memdesc:a32f5b19405f36c46bc8367b5cb606afd"><td class="mdescLeft">&#160;</td><td class="mdescRight">The data manager required to build the base object.  <a href="#a32f5b19405f36c46bc8367b5cb606afd">More...</a><br /></td></tr>
<tr class="separator:a32f5b19405f36c46bc8367b5cb606afd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Test harness for <code><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1_capabilities_delegate.html">CapabilitiesDelegate</a></code> class. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ac3d0c1568da82a8404a21479302e744d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3d0c1568da82a8404a21479302e744d">&#9670;&nbsp;</a></span>CapabilitiesDelegateTest()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilitiesDelegate::test::CapabilitiesDelegateTest::CapabilitiesDelegateTest </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Constructor. </p>

</div>
</div>
<a id="ab07e875c12f8b19f75d172ec3056c131"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab07e875c12f8b19f75d172ec3056c131">&#9670;&nbsp;</a></span>~CapabilitiesDelegateTest()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilitiesDelegate::test::CapabilitiesDelegateTest::~CapabilitiesDelegateTest </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aa5b8d0a42631863657e41a6b78eb3694"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa5b8d0a42631863657e41a6b78eb3694">&#9670;&nbsp;</a></span>getCapabilitiesApiUrl()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::capabilitiesDelegate::test::CapabilitiesDelegateTest::getCapabilitiesApiUrl </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>deviceId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Returns the URL to which the Capabilities API message is sent.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">deviceId</td><td>The device Id. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The URL to which the Capabilities API message is sent. </dd></dl>

</div>
</div>
<a id="aaf026fd6234d5dedf56a48d8116a378c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf026fd6234d5dedf56a48d8116a378c">&#9670;&nbsp;</a></span>getCapabilityKey() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::capabilitiesDelegate::test::CapabilitiesDelegateTest::getCapabilityKey </td>
          <td>(</td>
          <td class="paramtype">const std::unordered_map&lt; std::string, std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>capabilityMap</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Returns a capability's unique key.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">capabilityMap</td><td>The capability map. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A key that uniquely represents a capability. </dd></dl>

</div>
</div>
<a id="afe9e658c504855839e651f08786cee10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe9e658c504855839e651f08786cee10">&#9670;&nbsp;</a></span>getCapabilityKey() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::capabilitiesDelegate::test::CapabilitiesDelegateTest::getCapabilityKey </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>interfaceType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>interfaceName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Returns a capability's unique key.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">interfaceType</td><td>The interface type of the capability. </td></tr>
    <tr><td class="paramname">interfaceName</td><td>The interface name of the capability. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A key that uniquely represents a capability. </dd></dl>

</div>
</div>
<a id="ab605a05ac544fd4f03630bbfcb5a9096"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab605a05ac544fd4f03630bbfcb5a9096">&#9670;&nbsp;</a></span>getPublishedConfigs()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::unordered_map&lt; std::string, std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">CapabilityConfiguration</a> &gt; &gt; alexaClientSDK::capabilitiesDelegate::test::CapabilitiesDelegateTest::getPublishedConfigs </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>publishedMsgStr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Returns the published capabilities given the published Capabilities API message.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">publishedMsgStr</td><td>The published message. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A map of the capability key and the capability configuration. </dd></dl>

</div>
</div>
<a id="a9ad690d6d6478725cbf9f72f14907e45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ad690d6d6478725cbf9f72f14907e45">&#9670;&nbsp;</a></span>getPublishedEnvelopeVersion()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::capabilitiesDelegate::test::CapabilitiesDelegateTest::getPublishedEnvelopeVersion </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>publishedMsgStr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Returns the published envelope version given the published Capabilities API message.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">publishedMsgStr</td><td>The published message. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The published envelope version. </dd></dl>

</div>
</div>
<a id="af4e2947aae6be109b3ed0e849dbe80b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4e2947aae6be109b3ed0e849dbe80b1">&#9670;&nbsp;</a></span>SetUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilitiesDelegate::test::CapabilitiesDelegateTest::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Set up the test harness for running a test. </p>

</div>
</div>
<a id="ababf31e7783f0dc499976951c3c3bc4e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ababf31e7783f0dc499976951c3c3bc4e">&#9670;&nbsp;</a></span>TearDown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilitiesDelegate::test::CapabilitiesDelegateTest::TearDown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Tear down the test harness for running a test. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="afae7b02dc5d6244afed10a7a35c82f43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afae7b02dc5d6244afed10a7a35c82f43">&#9670;&nbsp;</a></span>m_authDelegate</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_auth_delegate.html">TestAuthDelegate</a>&gt; alexaClientSDK::capabilitiesDelegate::test::CapabilitiesDelegateTest::m_authDelegate</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Auth delegate instance. </p>

</div>
</div>
<a id="a2c6bd3800c5f220b3fa0a6703da5afbc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c6bd3800c5f220b3fa0a6703da5afbc">&#9670;&nbsp;</a></span>m_capabilitiesDelegate</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1_capabilities_delegate.html">CapabilitiesDelegate</a>&gt; alexaClientSDK::capabilitiesDelegate::test::CapabilitiesDelegateTest::m_capabilitiesDelegate</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1_capabilities_delegate.html">CapabilitiesDelegate</a> instance. </p>

</div>
</div>
<a id="af28f8c997d4a82ab5ec128580ea14cb1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af28f8c997d4a82ab5ec128580ea14cb1">&#9670;&nbsp;</a></span>m_configRoot</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1_configuration_node.html">ConfigurationNode</a> alexaClientSDK::capabilitiesDelegate::test::CapabilitiesDelegateTest::m_configRoot</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Config instance. </p>

</div>
</div>
<a id="a32f5b19405f36c46bc8367b5cb606afd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32f5b19405f36c46bc8367b5cb606afd">&#9670;&nbsp;</a></span>m_dataManager</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager.html">registrationManager::CustomerDataManager</a>&gt; alexaClientSDK::capabilitiesDelegate::test::CapabilitiesDelegateTest::m_dataManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The data manager required to build the base object. </p>

</div>
</div>
<a id="ac88591c628d73c4acf15f0b9e6af4588"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac88591c628d73c4acf15f0b9e6af4588">&#9670;&nbsp;</a></span>m_deviceInfo</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_device_info.html">DeviceInfo</a>&gt; alexaClientSDK::capabilitiesDelegate::test::CapabilitiesDelegateTest::m_deviceInfo</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Device Info instance. </p>

</div>
</div>
<a id="a2923376370863284ead7601aaad6f3ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2923376370863284ead7601aaad6f3ca">&#9670;&nbsp;</a></span>m_httpPut</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html">TestHttpPut</a>&gt; alexaClientSDK::capabilitiesDelegate::test::CapabilitiesDelegateTest::m_httpPut</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>HTTP put handler. </p>

</div>
</div>
<a id="ac6ce5932118f6af3f1d9d309565e20b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac6ce5932118f6af3f1d9d309565e20b2">&#9670;&nbsp;</a></span>m_miscStorage</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html">TestMiscStorage</a>&gt; alexaClientSDK::capabilitiesDelegate::test::CapabilitiesDelegateTest::m_miscStorage</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Misc storage instance. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/CapabilitiesDelegate/test/<a class="el" href="_capabilities_delegate_test_8cpp.html">CapabilitiesDelegateTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
